<div id="body" class="container-fluid">
  <h6>xNCI Region Setup</h6>
  <div class="mb-3">         
    <table cellspacing="5">
      <tr>
        <td width="22%">                
            <span>Select region to add/remove from:</span>
                
        </td>

        <td>
          <dx-data-grid #regionGrid id="regionGrid" [dataSource]="regions"
                        keyExpr="rgnId" [rowAlternationEnabled]="false"
                        [showBorders]="true" [showColumnHeaders]="false"
                        [showColumnLines]="false" [showRowLines]="false"
                        (onSelectionChanged)="selectedRegionChangedHandler($event)">
            <dxo-sorting mode="multiple"></dxo-sorting>
            <dxo-selection mode="single"></dxo-selection>
            <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
            <dxo-pager [showPageSizeSelector]="false"></dxo-pager>
            <dxo-search-panel [visible]="false"></dxo-search-panel>
            <dxi-column dataField="rgnDes" dataType="string"></dxi-column>
          </dx-data-grid>
        </td>
      </tr>
    </table>
  </div>
  <div class="row">
    <div class="col-8">
      <dx-data-grid #countriesGrid id="countriesGrid" [dataSource]="countries"
                    keyExpr="ctryCd" height="300" [showBorders]="true"
                    [showColumnLines]="false" [showRowLines]="true"
                    [rowAlternationEnabled]="false" [showColumnHeaders]="false"
                    (onSelectionChanged)="selectedCountryChangedHandler($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="multiple" showCheckBoxesMode="always"></dxo-selection>
        <dxo-scrolling mode="infinite" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-load-panel [enabled]="false"></dxo-load-panel>
        <dxi-column dataField="countryRegion" dataType="string"></dxi-column>
      </dx-data-grid>
    </div>
    <div class="col-8" style="text-align:center">
      <table cellpadding="5" cellspacing="5">
        <tr>
          <td width="50%">
            <button class="btn btn-sm btn-primary btn-block" style="height:33px;width:165px;padding-top:2px;" type="button"
                    [disabled]="!selectedCountryKeys.length" (click)="addToRegion()">
              Add to Region
            </button>
          </td>
          <td>
            <button class="btn btn-sm btn-secondary btn-block" style="height:33px;width:165px;padding-top:2px;" type="button"
                    [disabled]="!selectedRegionalCountryKeys.length" (click)="removeFromRegion()">
              Remove from Region
            </button>
          </td>
        </tr>
      </table>
    </div>
    <div class="col-8">
      <dx-data-grid #regCtryGrid id="regCtryGrid" [dataSource]="regionalCountries"
                    keyExpr="ctryCd" height="300" [showBorders]="true"
                    [showColumnLines]="false" [showRowLines]="true"
                    [rowAlternationEnabled]="false" [showColumnHeaders]="false"
                    (onSelectionChanged)="selectedCountryRegionChangedHandler($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="multiple" showCheckBoxesMode="always"></dxo-selection>
        <dxo-scrolling mode="infinite" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-load-panel [enabled]="false"></dxo-load-panel>
        <dxi-column dataField="countryRegion" dataType="string"></dxi-column>
      </dx-data-grid>
    </div>
  </div>
</div>
